# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

#from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

survey_menu_item = items.MenuItem(
    # GENERAL
    _('Survey'), 
    reverse('admin:app_list', kwargs={'app_label': 'survey'}),
    children=[
        items.MenuItem(_('Survey'), '',
            children=[
                items.MenuItem(_('Add Survey'), reverse('admin:survey_survey_add',)), 
                items.MenuItem(_('Survey List'), reverse('admin:survey_survey_changelist',) ), 
            ]
        ),
    ]
)


register_menu(survey_menu_item, 'jmb.survey')
